org.springframework.data.repository.core.support

## Class MethodLookup.InvokedMethod

- java.lang.Object
- - org.springframework.data.repository.core.support.MethodLookup.InvokedMethod

Enclosing interface:
  MethodLookup

    public static final class MethodLookup.InvokedMethod
    extends Object

Value object representing an invoked `Method`.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`Class<?>` `getDeclaringClass()`
`Method` `getMethod()`
`String` `getName()`
`int` `getParameterCount()`
`Class<?>[]` `getParameterTypes()`
`int` `hashCode()`
`static MethodLookup.InvokedMethod` `of(Method method)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Method Detail

#### of

    public static MethodLookup.InvokedMethod of(Method method)

#### getDeclaringClass

    public Class<?> getDeclaringClass()

#### getName

    public String getName()

#### getParameterTypes

    public Class<?>[] getParameterTypes()

#### getParameterCount

    public int getParameterCount()

#### getMethod

    public Method getMethod()

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`